#!/bin/sh
test ! -f "${1}" && echo "Usage: ${0##*/} <file-to-check>" && exit 1

TIME=$(which time)
TIMEFMT="elepsed: %e - cpu: %P - memory: %M"
echo "CALL: sha1sum ${1}"
${TIME} -f "${TIMEFMT}" sha1sum ${1}
echo "CALL: ./sha1 ${1}"
${TIME} -f "${TIMEFMT}" ./sha1 ${1}

